Bug 311481 - SELinux kills NM and denies dhclient to write resolve.conf
SELinux kills NM and denies dhclient to write resolve.conf
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 14:25 EDT by Adam Pribyl
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-30 02:55:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
NM before crash AVC (2.15 KB, text/plain)
2007-09-28 14:25 EDT, Adam Pribyl
no flags Details
dhclient deny resolv.conf write (3.00 KB, text/plain)
2007-09-28 14:26 EDT, Adam Pribyl
no flags Details

  None (edit)
Description Adam Pribyl 2007-09-28 14:25:20 EDT
Description of problem:
AVC denials are attached.

Version-Release number of selected component (if applicable):
rawhide-20070925

How reproducible:
Very often

Steps to Reproduce:
Have eth0 and eth1, eth1 should recieve IP thru dhcp request. First eth0 is
configured with 169.x.x.x switching to eth1 assigns IP, manualy configuring eth0
to 192.168.0.1, activate eth0 - AVC denial, NM rotatest after clicking on it NM
crashes.

Starting dhclient manualy on eth1 generates AVC denial.
Comment 1 Adam Pribyl 2007-09-28 14:25:20 EDT
Created attachment 210761 [details]
NM before crash AVC
Comment 2 Adam Pribyl 2007-09-28 14:26:47 EDT
Created attachment 210771 [details]
dhclient deny resolv.conf write
Comment 3 Daniel Walsh 2007-10-01 11:49:47 EDT
Somehow your resolv.conf got the wrong label on it.  restorecon -R -v
/etc/resolv.conf will fix.

Comment 4 Adam Pribyl 2007-10-02 03:58:04 EDT
Ok, this fix it, but I can reproduce it with described steps again. This means
something - probably system-config-network - handles the resolv.conf in the way
that the correct context is removed. Could be this is not a problem of policy,
but of system-config-network.
Comment 5 Daniel Walsh 2007-10-02 09:34:42 EDT
Yes I am reassinging.  system-config-network should be setting the file context
correctly when it creates the files.  It can do this using the selinux python
bindings or by executing restorecon.
Comment 6 Adam Pribyl 2007-10-06 14:05:18 EDT
This problem still occures in F8T3.

Note You need to log in before you can comment on or make changes to this bug.